org.apache.nutch.exchange.jexl

## Class JexlExchange

- java.lang.Object
- - org.apache.nutch.exchange.jexl.JexlExchange

- All Implemented Interfaces:
    Configurable, Exchange, Pluggable

      public class JexlExchange
      extends Object
      implements Exchange

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.exchange.Exchange

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JexlExchange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()`
    `boolean` | `match(NutchDocument doc)` Determines if the document must go to the related index writers.
    `void` | `open(Map<String,String> parameters)` Initializes the internal variables.
    `void` | `setConf(Configuration configuration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JexlExchange

          public JexlExchange()

  - ### Method Detail

    - #### open

          public void open(Map<String,String> parameters)

      Initializes the internal variables.
      Specified by:
        `open` in interface `Exchange`
      Parameters:
        `parameters` - Params from the exchange configuration.

    - #### match

          public boolean match(NutchDocument doc)

      Determines if the document must go to the related index writers.
      Specified by:
        `match` in interface `Exchange`
      Parameters:
        `doc` - The given document.
      Returns:
        True if the given document match with this exchange. False in other case.

    - #### setConf

          public void setConf(Configuration configuration)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

Copyright © 2021 The Apache Software Foundation